Subject: Re: 28.0.90; duplicate checks in erc--switch-to-buffer

From: "J.P." <[email-masked]>
Date: Sat, 29 Jan 2022 15:49:24 -0800

Guy Gastineau <[email-masked]> writes:

> Here it is. I don't think my pgp key is on any keyserver, but I signed
> it anyway.

I'm not sure if Emacs has a policy regarding the signing of everyday
contributions, but if your key isn't signed by anyone and not propagated
among the keyservers, then I'd guess you can probably just skip further
signing in the near term.

> Thank you for the encouragement.

My pleasure. This looks ready for Emacs 29. Thanks.

                              . . .

I've added the customary tweaks to the log message if someone wants to
glance at it (cc. bandali, Lars). Also, question: is there formal
recordkeeping going on re exempt lines accumulated per individual? And
if not, is the recommended way to get a tally just `git log --author=`?

>From 12352c00544c1916210dd15002ef4ffe0f5efdc8 Mon Sep 17 00:00:00 2001
From: Guy Gastineau <[email-masked]>
Date: Fri, 28 Jan 2022 23:12:42 -0500
Subject: [PATCH] Remove redundant checks in erc--switch-to-buffer

* lisp/erc/erc.el (erc--switch-to-buffer): Commit
f925fc93bac41d7622d1af927e33b0e738ff55b0 "Add `predicate' arg to
`read-buffer' and use it for erc-iswitchb" meant to remove this, but
it was left behind. (Bug#53617).

Copyright-paperwork-exempt: yes
---
 lisp/erc/erc.el | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/lisp/erc/erc.el b/lisp/erc/erc.el
index 9ee8d38b02..52fe106f2d 100644
--- a/lisp/erc/erc.el
+++ b/lisp/erc/erc.el
@@ -1761,12 +1761,7 @@ erc--switch-to-buffer
 		 (lambda (bufname)
 		   (let ((buf (if (consp bufname)
 				  (cdr bufname) (get-buffer bufname))))
-		     (when buf
-		       (erc--buffer-p buf (lambda () t) proc)
-		       (with-current-buffer buf
-			 (and (derived-mode-p 'erc-mode)
-			      (or (null proc)
-				  (eq proc erc-server-process))))))))))
+                     (and buf (erc--buffer-p buf (lambda () t) proc)))))))
 (defun erc-switch-to-buffer (&optional arg)
   "Prompt for an ERC buffer to switch to.
 When invoked with prefix argument, use all ERC buffers.  Without
-- 
2.34.1